Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 662125 - lldpad is generating selinux errors on 6.0-RC-4.
Summary: lldpad is generating selinux errors on 6.0-RC-4.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Barry Donahue
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-10 17:29 UTC by Barry Donahue
Modified: 2011-05-19 12:31 UTC (History)
3 users (show)

Fixed In Version: kernel-2.6.32-94.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 12:31:45 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch which should fix this message (but might cause other SELinux permissions failures...) (4.23 KB, patch)
2010-12-16 17:44 UTC, Eric Paris
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0542 0 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6.1 kernel security, bug fix and enhancement update 2011-05-19 11:58:07 UTC

Description Barry Donahue 2010-12-10 17:29:04 UTC
Description of problem: While configuring a Niantic card via fcoe-utils, lldpad is generating errors.


Version-Release number of selected component (if applicable):
kernel  2.6.32-71.el6.x86_64
fcoe-utils-1.0.14-9.el6.x86_64
Ethernet controller: Intel Corporation 82599EB 10-Gigabit Network Connection (rev 01)

How reproducible: Every time

Steps to Reproduce:
1.Install 6.0-RC-4
2.install dm-multipath and fcoe-utils.
3.Configure lldpad and fcoe on a link with LUNs attached.
  
Actual results: The system seems to run fine but we get these selinix errors in the log.


type=SYSCALL msg=audit(1291918081.828:71450): arch=c000003e syscall=44
success=yes exit=32 a0=5 a1=194cec0 a2=20 a3=0 items=0 ppid=1 pid=6060
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) ses=4294967295 comm="lldpad" exe="/usr/sbin/lldpad"
subj=system_u:system_r:initrc_t:s0 key=(null)
type=SELINUX_ERR msg=audit(1291918081.828:71450): SELinux:  unrecognized
netlink message type=78 for sclass=30

Comment 1 Barry Donahue 2010-12-10 17:35:58 UTC
These messages appear when I restart the lldpad service.

Comment 3 Eric Paris 2010-12-16 17:44:56 UTC
Created attachment 469184 [details]
Patch which should fix this message (but might cause other SELinux permissions failures...)

Comment 4 Aristeu Rozanski 2011-01-07 12:41:44 UTC
Patch(es) available on kernel-2.6.32-94.el6

Comment 9 errata-xmlrpc 2011-05-19 12:31:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0542.html


Note You need to log in before you can comment on or make changes to this bug.